Bug 105599 - consolehelper spawned windows do not inherit user theme settings
consolehelper spawned windows do not inherit user theme settings
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: usermode (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Martin Bacovsky
David Lawrence
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-09-25 17:39 EDT by James Laska
Modified: 2013-09-02 01:52 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-12 10:34:10 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description James Laska 2003-09-25 17:39:17 EDT
Not sure the exact component to file this against, but this has been a peev of
mine for some time.  This is one of those issues that doesn't jump out as a bug
or a problem at first...but when added with the many other minor desktop
inconsistencies it seems to take away from the end-user desktop experience.

When a user runs a config tool through consolehelper as a non-root user, the
application uses the root users' gtkrc settings.  This does not seem to be
correct.  If the end-user is using a theme other than what the root user is
configured to use...the look 'n feel of the consolehelper-spawned window just
doesn't fit.  Somehow, the consolehelper spawned window should use the user's
theme settings.  

This is already the behavior for some settings.  For example fonts and window
manager (slightly different) settings are inherited already.  Granted these are
different in the back-end but they provide for the same consistent look and feel.
Comment 1 John Thacker 2006-10-29 17:53:07 EST
[This is a mass update sent to many bugs that missed earlier such messages due
to having their version set to a test version.]

This bug was originally filed against a version of Fedora Core which is no
longer supported, even for security updates.  Many changes have occured since
then.  Please retest this bug against a still supported version.  Note that FC3
and FC4 are supported by Fedora Legacy for security fixes only.  If
it still occurs on FC5 or FC6, please assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

This bug will be closed after a few weeks if no information is given indicating
that the bug is still present in a supported release.
Comment 2 John Thacker 2007-01-12 10:34:10 EST
Closing per lack of response to previous request for information.
This bug was originally filed against a much earlier version of Fedora
Core, and significant changes have taken place since the last version
for which this bug is confirmed.

Note that FC3 and FC4 are supported by Fedora Legacy for security
fixes only.  Please install a still supported version and retest.  If
it still occurs on FC5 or FC6, please reopen and assign to the correct
version.  Otherwise, if this a security issue, please change the
product to Fedora Legacy.  Thanks, and we are sorry that we did not
get to this bug earlier.

Note You need to log in before you can comment on or make changes to this bug.